Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class EjbRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.EjbRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, EjbRefType<T>

    public class EjbRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, EjbRefType<T>

This class implements the `ejb-refType` xsd type

Original Documentation:

The ejb-ref element is used to give the jndi-name of an external ejb
reference. In the case of an external ejb reference, you don't provide a ejb-link element in
ejb-jar.xml, but you provide a jndi-name in jboss.xml Used in: entity, session,
message-driven, consumer, and service

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`EjbRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`EjbRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getEjbLink()` Returns the `ejb-link` element
`java.lang.String` | `getEjbRefName()` Returns the `ejb-ref-name` element
`EjbRefTypeType` | `getEjbRefType()` Returns the `ejb-ref-type` element
`java.lang.String` | `getEjbRefTypeAsString()` Returns the `ejb-ref-type` element
`java.lang.String` | `getHome()` Returns the `home` element
`java.util.List<InjectionTargetType<EjbRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getRemote()` Returns the `remote` element
`EjbRefType<T>` | `ignoreDependency()`
`InjectionTargetType<EjbRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`java.lang.Boolean` | `isIgnoreDependency()`
`EjbRefType<T>` | `removeAllDescription()` Removes the `description` element
`EjbRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`EjbRefType<T>` | `removeEjbLink()` Removes the `ejb-link` element
`EjbRefType<T>` | `removeEjbRefName()` Removes the `ejb-ref-name` element
`EjbRefType<T>` | `removeHome()` Removes the `home` element
`EjbRefType<T>` | `removeJndiName()` Removes the `jndi-name` element
`EjbRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`EjbRefType<T>` | `removeRemote()` Removes the `remote` element
`EjbRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`EjbRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`EjbRefType<T>` | `setEjbLink(java.lang.String ejbLink)` If not already created, a new `ejb-link` element with the given value will be created.
`EjbRefType<T>` | `setEjbRefName(java.lang.String ejbRefName)` If not already created, a new `ejb-ref-name` element with the given value will be created.
`EjbRefType<T>` | `setEjbRefType(EjbRefTypeType ejbRefType)` If not already created, a new `ejb-ref-type` element with the given value will be created.
`EjbRefType<T>` | `setEjbRefType(java.lang.String ejbRefType)` If not already created, a new `ejb-ref-type` element with the given value will be created.
`EjbRefType<T>` | `setHome(java.lang.String home)` If not already created, a new `home` element with the given value will be created.
`EjbRefType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`EjbRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`EjbRefType<T>` | `setRemote(java.lang.String remote)` If not already created, a new `remote` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbRefTypeImpl

    public EjbRefTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node)

### EjbRefTypeImpl

    public EjbRefTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node,
                          org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setJndiName

    public EjbRefType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Specified by:
    `setJndiName` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### removeJndiName

    public EjbRefType<T> removeJndiName()

  Removes the `jndi-name` element

  Specified by:
    `removeJndiName` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### getJndiName

    public java.lang.String getJndiName()

  Returns the `jndi-name` element

  Specified by:
    `getJndiName` in interface `EjbRefType<T>`
  Returns:
    the node defined for the element `jndi-name`

### setMappedName

    public EjbRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### removeMappedName

    public EjbRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `EjbRefType<T>`
  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    public EjbRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Specified by:
    `removeAllInjectionTarget` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### injectionTarget

    public InjectionTargetType<EjbRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Specified by:
    `injectionTarget` in interface `EjbRefType<T>`
  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    public java.util.List<InjectionTargetType<EjbRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Specified by:
    `getInjectionTargetList` in interface `EjbRefType<T>`
  Returns:
    list of `injection-target`

### ignoreDependency

    public EjbRefType<T> ignoreDependency()

  Specified by:
    `ignoreDependency` in interface `EjbRefType<T>`

### isIgnoreDependency

    public java.lang.Boolean isIgnoreDependency()

  Specified by:
    `isIgnoreDependency` in interface `EjbRefType<T>`

### setDescription

    public EjbRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### setDescriptionList

    public EjbRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `EjbRefType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `EjbRefType`

### removeAllDescription

    public EjbRefType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `EjbRefType<T>`
  Returns:
    list of `description`

### setEjbRefName

    public EjbRefType<T> setEjbRefName(java.lang.String ejbRefName)

  If not already created, a new `ejb-ref-name` element with the given value will be created. Otherwise, the existing `ejb-ref-name` element will be updated with the given value.

  Specified by:
    `setEjbRefName` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### removeEjbRefName

    public EjbRefType<T> removeEjbRefName()

  Removes the `ejb-ref-name` element

  Specified by:
    `removeEjbRefName` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### getEjbRefName

    public java.lang.String getEjbRefName()

  Returns the `ejb-ref-name` element

  Specified by:
    `getEjbRefName` in interface `EjbRefType<T>`
  Returns:
    the node defined for the element `ejb-ref-name`

### setEjbRefType

    public EjbRefType<T> setEjbRefType(EjbRefTypeType ejbRefType)

  If not already created, a new `ejb-ref-type` element with the given value will be created. Otherwise, the existing `ejb-ref-type` element will be updated with the given value.

  Specified by:
    `setEjbRefType` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### setEjbRefType

    public EjbRefType<T> setEjbRefType(java.lang.String ejbRefType)

  If not already created, a new `ejb-ref-type` element with the given value will be created. Otherwise, the existing `ejb-ref-type` element will be updated with the given value.

  Specified by:
    `setEjbRefType` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### getEjbRefType

    public EjbRefTypeType getEjbRefType()

  Returns the `ejb-ref-type` element

  Specified by:
    `getEjbRefType` in interface `EjbRefType<T>`
  Returns:
    the node defined for the element `ejb-ref-type`

### getEjbRefTypeAsString

    public java.lang.String getEjbRefTypeAsString()

  Returns the `ejb-ref-type` element

  Specified by:
    `getEjbRefTypeAsString` in interface `EjbRefType<T>`
  Returns:
    the node defined for the element `ejb-ref-type`

### setHome

    public EjbRefType<T> setHome(java.lang.String home)

  If not already created, a new `home` element with the given value will be created. Otherwise, the existing `home` element will be updated with the given value.

  Specified by:
    `setHome` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### removeHome

    public EjbRefType<T> removeHome()

  Removes the `home` element

  Specified by:
    `removeHome` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### getHome

    public java.lang.String getHome()

  Returns the `home` element

  Specified by:
    `getHome` in interface `EjbRefType<T>`
  Returns:
    the node defined for the element `home`

### setRemote

    public EjbRefType<T> setRemote(java.lang.String remote)

  If not already created, a new `remote` element with the given value will be created. Otherwise, the existing `remote` element will be updated with the given value.

  Specified by:
    `setRemote` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### removeRemote

    public EjbRefType<T> removeRemote()

  Removes the `remote` element

  Specified by:
    `removeRemote` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### getRemote

    public java.lang.String getRemote()

  Returns the `remote` element

  Specified by:
    `getRemote` in interface `EjbRefType<T>`
  Returns:
    the node defined for the element `remote`

### setEjbLink

    public EjbRefType<T> setEjbLink(java.lang.String ejbLink)

  If not already created, a new `ejb-link` element with the given value will be created. Otherwise, the existing `ejb-link` element will be updated with the given value.

  Specified by:
    `setEjbLink` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### removeEjbLink

    public EjbRefType<T> removeEjbLink()

  Removes the `ejb-link` element

  Specified by:
    `removeEjbLink` in interface `EjbRefType<T>`
  Returns:
    the current instance of `EjbRefType`

### getEjbLink

    public java.lang.String getEjbLink()

  Returns the `ejb-link` element

  Specified by:
    `getEjbLink` in interface `EjbRefType<T>`
  Returns:
    the node defined for the element `ejb-link`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD